Page MenuHomePhabricator

[mlir][docs] Remove the BuiltinDialect documentation from langref and generate it from ODS
ClosedPublic

Authored by rriddle on Mar 12 2021, 3:13 PM.

Details

Summary

Now that all of the builtin dialect is generated from ODS, its documentation in LangRef can be split out and replaced with references to Dialects/Builtin.md. LangRef is quite crusty right now and should really have a full cleanup done in a followup.

Depends On D98474

Diff Detail

Unit TestsFailed

TimeTest
40 msx64 debian > Flang.Semantics::omp-do05.f90
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/llvm-project/flang/test/Semantics/test_errors.sh /mnt/disks/ssd0/agent/llvm-project/flang/test/Semantics/omp-do05.f90 /mnt/disks/ssd0/agent/llvm-project/build/tools/flang/test/Semantics/Output/omp-do05.f90.tmp /mnt/disks/ssd0/agent/llvm-project/build/bin/f18 -intrinsic-module-directory /mnt/disks/ssd0/agent/llvm-project/build/tools/flang/include/flang -fopenmp
60 msx64 debian > Flang.Semantics::omp-do13.f90
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/llvm-project/flang/test/Semantics/test_errors.sh /mnt/disks/ssd0/agent/llvm-project/flang/test/Semantics/omp-do13.f90 /mnt/disks/ssd0/agent/llvm-project/build/tools/flang/test/Semantics/Output/omp-do13.f90.tmp /mnt/disks/ssd0/agent/llvm-project/build/bin/f18 -intrinsic-module-directory /mnt/disks/ssd0/agent/llvm-project/build/tools/flang/include/flang -fopenmp
50 msx64 debian > Flang.Semantics::omp-nested01.f90
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/llvm-project/flang/test/Semantics/test_errors.sh /mnt/disks/ssd0/agent/llvm-project/flang/test/Semantics/omp-nested01.f90 /mnt/disks/ssd0/agent/llvm-project/build/tools/flang/test/Semantics/Output/omp-nested01.f90.tmp /mnt/disks/ssd0/agent/llvm-project/build/bin/f18 -intrinsic-module-directory /mnt/disks/ssd0/agent/llvm-project/build/tools/flang/include/flang -fopenmp
40 msx64 debian > Flang.Semantics::omp-reduction07.f90
Script: -- : 'RUN: at line 1'; /mnt/disks/ssd0/agent/llvm-project/flang/test/Semantics/test_errors.sh /mnt/disks/ssd0/agent/llvm-project/flang/test/Semantics/omp-reduction07.f90 /mnt/disks/ssd0/agent/llvm-project/build/tools/flang/test/Semantics/Output/omp-reduction07.f90.tmp /mnt/disks/ssd0/agent/llvm-project/build/bin/f18 -intrinsic-module-directory /mnt/disks/ssd0/agent/llvm-project/build/tools/flang/include/flang -fopenmp

Event Timeline

rriddle created this revision.Mar 12 2021, 3:13 PM
rriddle requested review of this revision.Mar 12 2021, 3:13 PM
mehdi_amini accepted this revision.Mar 19 2021, 4:37 PM

I wish one invocation could generate the entire doc

Just like I wish we could do the same for types/attribute/ops for a dialect: this is a lot of different tablegen invocation and various includes of generated files: seems like we could trim on some boilerplate.

Anyway this is anecdotical to this change!

This revision is now accepted and ready to land.Mar 19 2021, 4:37 PM

I wish one invocation could generate the entire doc

Just like I wish we could do the same for types/attribute/ops for a dialect: this is a lot of different tablegen invocation and various includes of generated files: seems like we could trim on some boilerplate.

Anyway this is anecdotical to this change!

Yeah, there are two parts to this:

  1. We need better support for structuring the entities of a dialect. Like here, we have Location Attributes as a sub-group of attributes.
  2. Tablegen only supports one file, so we can only generate the full doc if we have everything included in one file (which is either annoying or not always desirable)
This revision was landed with ongoing or failed builds.Mar 19 2021, 6:22 PM
This revision was automatically updated to reflect the committed changes.
mehdi_amini added inline comments.Mar 24 2021, 10:41 AM
mlir/docs/LangRef.md
335

I think this subsection was lost but deserved to stayed there in LangRef?